Bug 4452 - Сервис shorewall падает при запуске
: Сервис shorewall падает при запуске
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-27 03:44 MSD by Vladimir Potapov
Modified: 2014-10-21 12:55 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-09-27 03:44:39 MSD
systemctl status shorewall.service 
shorewall.service - Shorewall IPv4 firewall
   Loaded: loaded (/lib/systemd/system/shorewall.service; enabled)
   Active: failed (Result: exit-code) since Сб 2014-09-27 08:40:14 IRKT; 3min 53s ago
  Process: 6444 ExecStart=/sbin/shorewall $OPTIONS start (code=exited, status=255)
 Main PID: 6444 (code=exited, status=255)
   CGroup: /system.slice/shorewall.service
Comment 1 Denis Silakov 2014-09-27 08:55:56 MSD
Был на эту тему bug #1300. iptables включен? (посмотри в drakxservices)
Comment 2 Vladimir Potapov 2014-09-28 17:00:44 MSD
(In reply to comment #1)
> Был на эту тему bug #1300. iptables включен? (посмотри в drakxservices)

Не, не включен. Мы с Бурмашевым когда этот баг мучили, добились видимости работы шоревелла (там какие-то правила у нас не создаются корректно). И выяснили, что в Магее работает, так что можно посмотреть как.
Comment 3 Vladimir Potapov 2014-09-28 17:05:05 MSD
bug#4231
Comment 4 FirstLevel 2014-09-29 10:45:19 MSD
Для 6420 актуально
Comment 5 Stanislav Fomin 2014-10-01 16:40:25 MSD
Мы уже давно без фаерволла много лет. Чинить будем после релиза.
Comment 6 Vladimir Potapov 2014-10-15 18:25:58 MSD
На форуме вроде нашли решение.
Его можно опакетить?
http://forum.rosalab.ru/viewtopic.php?f=53&t=4526
Comment 7 Denis Silakov 2014-10-15 21:17:34 MSD
Так там и запустили iptables. Я ж спрашивал - помогает это или нет:)
Comment 8 Vladimir Potapov 2014-10-16 07:49:51 MSD
Там вроде помогает для x64 и не помогает для i586. Уже можно разбираться.
Comment 9 Denis Silakov 2014-10-16 10:28:06 MSD
Advisory:
Updated shorewall to version 4.6.3.4, added dependency on iptables/ip6tables for shorewall/shorewall6 services, added dummy default configs to allow starting these services just after installation.

Build lists:
https://abf.io/build_lists/2309560
https://abf.io/build_lists/2309561

===
Зависимость от сервисов iptables добавлена, теперь iptables должен автоматом стартовать при запуске firewall. Саша в баге 4231 правильно писал про то, что у нас не заполнены политики, зоны и т.п. в конфигах shorewall. Я добавил в пакет по умолчанию элементарные настройки, которые должны позволить сервису стартануть, но при этом ничего не сломать.
Comment 10 Vladimir Potapov 2014-10-20 13:54:40 MSD
Что-то не работает. Например под x64
urpmi shorewall
Пакет shorewall-4.6.3.4-1-rosa2014.1.noarch уже установлен
[root@DNS-x64-R4 keleg]# systemctl start shorewall.service
Job for shorewall.service failed. See 'systemctl status shorewall.service' and 'journalctl -xn' for details.
[root@DNS-x64-R4 keleg]# systemctl status shorewall.service
shorewall.service - Shorewall IPv4 firewall
   Loaded: loaded (/lib/systemd/system/shorewall.service; enabled)
   Active: failed (Result: exit-code) since Пн 2014-10-20 18:53:06 IRKT; 10s ago
  Process: 7217 ExecStart=/sbin/shorewall $OPTIONS start (code=exited, status=255)
 Main PID: 7217 (code=exited, status=255)

окт 20 18:53:06 DNS-x64-R4 shorewall[7217]: Compiling...
окт 20 18:53:06 DNS-x64-R4 shorewall[7217]: Processing /etc/shorewall/params ...
окт 20 18:53:06 DNS-x64-R4 shorewall[7217]: Processing /etc/shorewall/shorewall.conf...
окт 20 18:53:06 DNS-x64-R4 shorewall[7217]: Loading Modules...
окт 20 18:53:06 DNS-x64-R4 shorewall[7217]: Compiling /etc/shorewall/zones...
окт 20 18:53:06 DNS-x64-R4 shorewall[7217]: ERROR: No IP zones defined
окт 20 18:53:06 DNS-x64-R4 systemd[1]: shorewall.service: main process exited, code=exited, status=255/n/a
окт 20 18:53:06 DNS-x64-R4 systemd[1]: Failed to start Shorewall IPv4 firewall.
окт 20 18:53:06 DNS-x64-R4 systemd[1]: Unit shorewall.service entered failed state.
Comment 11 Denis Silakov 2014-10-20 14:49:54 MSD
My fault. Please try new build lists:

https://abf.io/build_lists/2316362
https://abf.io/build_lists/2316363
Comment 12 Vladimir Potapov 2014-10-21 12:26:24 MSD
shorewall-4.6.3.4-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2316362/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2316363/x86_64/main/release/
******************************** Advisory ***********************
Updated shorewall to version 4.6.3.4, added dependency on iptables/ip6tables for shorewall/shorewall6 services, added dummy default configs to allow starting these services just after installation.
*****************************************************************
QA Verified